Reply to pending permission request
Respond to a pending permission request owned by a session.
POST
/api/session/{sessionID}/permission/{requestID}/replyPath parameters
sessionIDobjectrequiredrequestIDobjectrequiredRequest body
requiredapplication/jsonreplyPermissionV2.ReplyrequiredAllowed:
oncealwaysrejectmessagestring | anyShow propertiesHide properties
Any of:
string
stringany
anyResponses
204<No Content>
400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError | PermissionNotFoundError
Any of:
PermissionNotFoundError
_tagstringrequiredAllowed:
PermissionNotFoundErrorrequestIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredRequest
curl -X POST "/api/session/%5Bobject%20Object%5D/permission/%5Bobject%20Object%5D/reply" \
-H "Content-Type: application/json" \
-d '{
"reply": "once",
"message": "string"
}'const response = await fetch("/api/session/%5Bobject%20Object%5D/permission/%5Bobject%20Object%5D/reply", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"reply": "once",
"message": "string"
})
});import requests
response = requests.post(
"/api/session/%5Bobject%20Object%5D/permission/%5Bobject%20Object%5D/reply",
headers={
"Content-Type": "application/json"
},
json={
"reply": "once",
"message": "string"
},
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "PermissionNotFoundError",
"requestID": "string",
"message": "string"
}